# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'blobs/version'

Gem::Specification.new do |spec|
  spec.name          = "blobs"
  spec.version       = Blobs::VERSION
  spec.authors       = ["Oliver Kiessler"]
  spec.email         = ["kiessler@inceedo.com"]

  spec.summary       = "Blob API Client"
  spec.description   = "An HTTP API Client for the blob-store service."
  spec.homepage      = "https://gitlab.com/okiess/blobs"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "bundler", "~> 1.15"
  spec.add_dependency "rake", "~> 10.0"
  spec.add_dependency "httparty", "~> 0.13.7"
  spec.add_dependency "rqrcode", "0.10.1"
end
